Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform.util
Class TransformUtil

    java.lang.Object
      com.flagstone.transform.util.TransformUtil

Deprecated. No longer used with the merging of Transform Utilties into the main Transform SWF distribution.

    public class TransformUtil

extends java.lang.Object

\mainpage Transform Utilities The Transform Utilities framework is designed to extend the functionality provided by the Transform SWF framework and support a higher level interface to reduce the level of effort required to implement applications that use the Transform SWF framework. Transform Utilities contains the following classes: \htmlonly

Class | Description
--- | ---
FSImageConstructor | Loads JPEG, PNG and BMP format images from files and generates the objects required to display them in a movie. The class provides accessor methods to the image data allowing further processing before generating the Transform object that contain the image data.
FSShapeConstructor | Draws arbitrary complex paths for drawing shapes. The class also supports a number of predefined paths for drawing geometric shapes and polygons. Support for drawing cubic Bezier curves is provided so the class provides a comprehensive API for integration into any 2-D graphics application.
FSSoundConstructor | Generates the Transform SWF objects required to play sounds played in response to events and to stream sounds so soundtracks can be added to movies. Sound files containing WAVE and MP3 are supported. As with the FSImageConstructor class accessor methods are provided to allow the sound samples to be processed before the Transform SWF objects are generated. See also Useful Code for code to compress PCM encoded sounds to the ADPCM format.
FSTextConstructor | Used to generate font definitions and create strings that are displayed in Flash files. Font definitions may be created from an existing Flash file or an OpenType/TrueType font file. The Java version of the framework also allows fonts to be created from AWT font classes. Text objects used to define single strings or blocks of text can be generated from the font definition. The FSTextConstructor tracks the string generated so, if required, the font definition object generated only contains the glyphs used, greatly reducing the size of the Flash file generated.

\endhtmlonly

Field Summary
`static int` | `MAJOR` Deprecated. MAJOR is used to identify the current version of the framework.
`static int` | `MINOR` Deprecated. MINOR is used to identify the current minor version of the framework.
`static int` | `RELEASE` Deprecated. The RELEASE number is used to differentiate between different releases.

Constructor Summary
`TransformUtil()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAJOR

    public static final int MAJOR

  Deprecated.
  MAJOR is used to identify the current version of the framework. This is incremented for each new version of Flash supported.

  See Also:
    Constant Field Values

### MINOR

    public static final int MINOR

  Deprecated.
  MINOR is used to identify the current minor version of the framework. This is incremented when new functionality is added or API changes are made.

  See Also:
    Constant Field Values

### RELEASE

    public static final int RELEASE

  Deprecated.
  The RELEASE number is used to differentiate between different releases. This number is incremented when an enhancement or bug fix has been made and the API is unchanged.

  See Also:
    Constant Field Values

Constructor Detail

### TransformUtil

    public TransformUtil()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD